import request from '@/utils/request'

// 查询账户明细列表
export function listAccountChangeLog(query) {
  return request({
    url: '/xq/accountChangeLog/list',
    method: 'get',
    params: query
  })
}

// 查询账户明细详细
export function getAccountChangeLog(id) {
  return request({
    url: '/xq/accountChangeLog/' + id,
    method: 'get'
  })
}

// 新增账户明细
export function addAccountChangeLog(data) {
  return request({
    url: '/xq/accountChangeLog',
    method: 'post',
    data: data
  })
}

// 修改账户明细
export function updateAccountChangeLog(data) {
  return request({
    url: '/xq/accountChangeLog',
    method: 'put',
    data: data
  })
}

// 删除账户明细
export function delAccountChangeLog(id) {
  return request({
    url: '/xq/accountChangeLog/' + id,
    method: 'delete'
  })
}
